Controller (gCube VRE Deploy Wizard Portlet 3.3.0-3.4.0 API)
Date: 2014-10-01

org.gcube.portlets.admin.vredeployer.client.control

## Class Controller

- java.lang.Object
- - org.gcube.portlets.admin.vredeployer.client.control.Controller

-     public class Controller
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Controller(Vredeployer vreDeployer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createVreButtonClicked()`
    `void` | `maskCenterPanel(boolean mask)`
    `void` | `setCloudSelected(boolean selected, int vMachines)`
    `void` | `setDefaultTreeItemSelected()`
    `void` | `setEastPanelContent(com.extjs.gxt.ui.client.widget.ContentPanel toShow)`
    `void` | `setGHNsSelected(GHNBean[] selectedGHNIds)`
    `void` | `treeItemClicked(AtomicTreeNode selectedModel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Controller

          public Controller(Vredeployer vreDeployer)

  - ### Method Detail

    - #### treeItemClicked

          public void treeItemClicked(AtomicTreeNode selectedModel)

    - #### setDefaultTreeItemSelected

          public void setDefaultTreeItemSelected()

    - #### setEastPanelContent

          public void setEastPanelContent(com.extjs.gxt.ui.client.widget.ContentPanel toShow)

      Parameters:
        `toShow` -

    - #### setGHNsSelected

          public void setGHNsSelected(GHNBean[] selectedGHNIds)

      Parameters:
        `selectedGHNIds` -
        `idCandidateGHN` -

    - #### maskCenterPanel

          public void maskCenterPanel(boolean mask)

    - #### setCloudSelected

          public void setCloudSelected(boolean selected,
                              int vMachines)

    - #### createVreButtonClicked

          public void createVreButtonClicked()

Copyright © 2014. All Rights Reserved.